#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::Cookbooks::Aliases
# =========================================================================== #
# require 'rbt/aliases/report.rb'
# =========================================================================== #
module RBT

module Cookbooks # === RBT::Cookbooks::Aliases

class Aliases < Base # We can not subclass from Base here < Base

  # ========================================================================= #
  # === report
  # ========================================================================= #
  def report
    opnn; e 'The available aliases are:'
    opnn; e keys?.join(', ')
    opnn; e 'The available datasets are:'
    pp data?
    opnn; e "The total size of all available aliases-keys is "\
            "#{keys?.size} entries."
  end

end; end; end