#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/cliner.rb'
# =========================================================================== #
require 'rbt/colours/colours.rb'
require 'rbt/toplevel_methods/cliner.rb'

module RBT

class Base

  # ========================================================================= #
  # === cliner
  # ========================================================================= #
  def cliner(
      optional_arguments = nil,
      use_this_colour    = nil
    )
    if block_given?
      RBT.cliner(optional_arguments, use_this_colour) { yield }
    else
      RBT.cliner(optional_arguments, use_this_colour)
    end
  end

end; end