#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/save_file.rb'
# =========================================================================== #
module RBT

class Base # === RBT::Base

  # ========================================================================= #
  # === write_what_into
  #
  # Delegate towards the SaveFile functionality here. 
  # ========================================================================= #
  def write_what_into(
      what, into, permissions_to_use = '755'
    )
    RBT.write_what_into(what, into, permissions_to_use)
  end; alias save_file       write_what_into # === save_file
       alias save_what_into  write_what_into # === save_what_into
       alias store_what_into write_what_into # === store_what_into
       alias save_what_to    write_what_into # === store_what_to

  # ========================================================================= #
  # === append_what_into
  # ========================================================================= #
  def append_what_into(what, into)
    RBT.append_what_into(what, into)
  end

end; end