#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file contains code about statistics, pertainign to the RBT project.
# =========================================================================== #
# require 'rbt/compile/statistics.rb'
# =========================================================================== #
require 'rbt/statistics/show_statistics.rb'

module RBT

class Compile < RBT::CompileBase # === RBT::Compile

  # ========================================================================= #
  # === show_statistics_about_the_rbt_project
  #
  # To invoke this method, do:
  #
  #   rbt --stats?
  #
  # ========================================================================= #
  def show_statistics_about_the_rbt_project
    RBT::ShowStatistics.new
  end

  # ========================================================================= #
  # === report_the_compile_strategies
  # ========================================================================= #
  def report_the_compile_strategies
    require 'rbt/statistics/compile_strategies.rb'
    RBT.report_the_compile_strategies
  end

end; end