#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file contains standalone file constants - aka these are never
# dependent on any other constant or setting.
# =========================================================================== #
# require 'rbt/constants/standalone_file_constants.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === FILE_SETUP_PY
  #
  # This constant can be useful if you have to install a program that
  # depends on the file 'setup.py'.
  # ========================================================================= #
  FILE_SETUP_PY = 'setup.py'

  # ========================================================================= #
  # === FILE_SCONS
  # ========================================================================= #
  FILE_SCONS = 'SConstruct'

  # ========================================================================= #
  # === FILE_WAF
  # ========================================================================= #
  FILE_WAF = 'waf'

  # ========================================================================= #
  # === FILE_CMAKE_LISTS
  # ========================================================================= #
  FILE_CMAKE_LISTS = 'CMakeLists.txt'

end