#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/infobox/constants.rb'
# =========================================================================== #
module RBT

class Infobox < RBT::Base # === RBT::Infobox.new

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === TRY_TO_USE_UNICODE_SYMBOLS_FOR_THE_COMMANDLINE_USER_INTERFACE
  #
  # If the following constant is set to true then the Infobox will use
  # Unicode symbols for the commandline interface. This may look nixer,
  # depending on the terminal.
  # ========================================================================= #
  TRY_TO_USE_UNICODE_SYMBOLS_FOR_THE_COMMANDLINE_USER_INTERFACE = true

  # ========================================================================= #
  # === VERTICAL_BAR
  # ========================================================================= #
  VERTICAL_BAR = ('=' * 80)

  # ========================================================================= #
  # === LEFT_PADDED_VERTICAL_BAR
  # ========================================================================= #
  LEFT_PADDED_VERTICAL_BAR = ' | '

end; end