#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/libtool/help.rb'
# =========================================================================== #
module RBT

class Libtool < Base

  # ========================================================================= #
  # === show_help                                                  (help tag)
  #
  # Invoke this like so:
  #
  #   roebelibtool --help
  #
  # ========================================================================= #
  def show_help
    e
    opnn; ecomment '  --remove-this-entry=/usr/lib/libpng16.la # remove this entry from all .la files'
    opnn; ecomment '  --stats                                  # show some statistics from your system'
    opnn; ecomment '  --show-every-la-file                     # show every .la file on your system'
    opnn; ecomment '  --all                                    # an alias to the above ^^^'
    opnn; ecomment '  --search-in-which-directories?           # report in which '\
                   'directories we will look for .la files'
    opnn; ecomment '  --stats                                  # show some statistics about your .la files'
    opnn; ecomment '  --report                                 # report how many .la files we have found'
    opnn; ecomment '  --autofix                                # autofix every faulty .la file'
    opnn; ecomment '  --purge                                  # purge a specific entry from a '\
                   '.la file; also note that we will log this action'
    opnn; ecomment '  --remove-this-entry                      # Remove a specific entry '\
                   'from all .la files'
    opnn; ecomment '  --from-this-directory=                   # use another directory to search in'
    opnn; ecomment '  --remove-from-stored-file                # remove the .la file last registered'
    ecomment       '                                                         '\
                   '# as faulty, from a local file'
    e
    opnn; ecomment '  rubylibtool --remove-this-entry=/usr/lib/libpng16.la # Remove this entry.'
    e
    e
    opnn; e 'Note that you can also add new entries to the '\
            'array of files that'
    opnn; e 'will be searched from the commandline, by doing this:'
    e
    opnn; ecomment '  --search-in-this-directory=   # add this directory to '\
                   'the list of directories that will be searched'
    e
  end

end; end