#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/libtool/reset.rb'
# =========================================================================== #
require 'rbt/libtool/constants.rb'

module RBT

class Libtool < Base # === RBT::Libtool.new

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @namespace = NAMESPACE
    @array_all_libtool_files = []
    clear_array_log_these_files
    _ = FILE_SEARCH_IN_THESE_DIRECTORIES
    if File.exist? _
      set_search_in_these_directories(YAML.load_file(_))
    else
      opnn; e "No file called #{sfile(_)} exists. Thus, "\
              "we can not load the dataset."
    end
  end

end; end