# =========================================================================== #
# This is the profile that is used by the LFS/BLFS project at the first
# pass step:
#
#   http://www.linuxfromscratch.org/lfs/view/development/chapter05/gcc-pass1.html
#
# =========================================================================== #

# --prefix=/tools

--target=$LFS_TGT
--with-glibc-version=2.11
--with-sysroot=$LFS
--with-newlib
--without-headers
--with-local-prefix=/tools
--with-native-system-header-dir=/tools/include
--disable-nls
--disable-shared
--disable-multilib 
--disable-decimal-float
--disable-threads
--disable-libatomic
--disable-libgomp
--disable-libquadmath 
--disable-libssp
--disable-libvtv
--disable-libstdcxx
--enable-languages=c,c++