#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will pull in all utility scripts.
# =========================================================================== #
# require 'rbt/requires/require_toplevel_methods.rb'
# =========================================================================== #
require 'rbt/constants/toplevel_methods.rb'

module RBT

  # ========================================================================= #
  # === RBT.require_toplevel_methods
  # ========================================================================= #
  def self.require_toplevel_methods
    Dir["#{RBT.toplevel_methods_directory?}*.rb"].uniq.each {|file|
      require "rbt/toplevel_methods/#{File.basename(file)}"
    }
  end

end; RBT.require_toplevel_methods # Load the utility scripts at once when we load this file.