#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will pull in all utility scripts.
# =========================================================================== #
# require 'rbt/requires/require_utility_scripts.rb'
# =========================================================================== #
require 'rbt/constants/utility_scripts.rb'

module RBT

  # ========================================================================= #
  # === RBT.require_utility_scripts
  # ========================================================================= #
  def self.require_utility_scripts
    Dir["#{RBT.utility_directory?}*.rb"].uniq.each {|file|
      require "rbt/utility_scripts/#{File.basename(file)}"
    }
  end

end; RBT.require_utility_scripts # Load the utility scripts at once when we load this file.