#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/convert_global_env.rb'
# =========================================================================== #
begin
  require 'convert_global_env'
rescue LoadError; end

module RBT

  # ========================================================================= #
  # === RBT.convert_global_env
  # ========================================================================= #
  def self.convert_global_env(i)
    if Object.const_defined? :ConvertGlobalEnv and
       i.include?('$') # Assume an ENV variable here.
      i = ConvertGlobalEnv.convert(i.dup).dup
    end
    return i
  end

end