#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/esystem.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/e.rb'

module RBT

  # ========================================================================= #
  # === RBT.esystem
  #
  # This method will output which system-command we will run, and then
  # this command as well, via system().
  # ========================================================================= #
  def self.esystem(
      i = ''
    )
    if i.is_a? Array
      i.each {|entry| esystem(entry) }
    else
      e i
      system i
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.esystem(ARGV)
end