#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/extract.rb'
# =========================================================================== #
begin
  require 'extracter'
rescue LoadError; end
require 'rbt/toplevel_methods/e.rb'

module RBT

  # ========================================================================= #
  # === RBT.extract
  # ========================================================================= #
  def self.extract(
      i, extract_to_this_directory = "#{Dir.pwd}/".squeeze('/')
    )
    unless Object.const_defined? :Extracter
      e 'RBT can not extract anything as the gem extracter '\
        '(module Extracter) is not installed.'
      return
    end
    [i].flatten.compact.each {|this_program|
      Extracter.extract_this(
        i,
        to: extract_to_this_directory
      )
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.extract(ARGV)
end # rbt_extract