#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/get_all_files_and_directories_from.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/get_all_directories_from.rb'
require 'rbt/toplevel_methods/get_all_files_from.rb'

module RBT

  # ========================================================================= #
  # === RBT.get_files_and_directories_from
  #
  # Simply combine RBT.get_all_directories_from and RBT.get_files_from
  # via this method here.
  # ========================================================================= #
  def self.get_files_and_directories_from(
      here = Dir.pwd
    )
    _ = RBT.get_all_directories_from(here)+
        RBT.get_all_files_from(here)
    return _.flatten
  end

end