#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/roebe.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.is_roebe?
  #
  # This method is only useful on my home system, where the environment
  # variable IS_ROEBE has been set to 1.
  # ========================================================================= #
  def self.is_roebe?
    "#{ENV['IS_ROEBE']}" == '1'
  end; self.instance_eval { alias is_on_roebe? is_roebe?    } # === RBT.is_on_roebe?
       self.instance_eval { alias on_roebe?    is_on_roebe? } # === RBT.on_roebe?

  # ========================================================================== #
  # === is_on_roebe?
  # ========================================================================== #
  def is_roebe?
    RBT.is_roebe?
  end; alias is_on_roebe? is_roebe? # === is_on_roebe?
       alias on_roebe?    is_roebe? # === on_roebe?

end