#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/update_all_ruby_gems.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === @array_these_ruby_gems_were_updated
  #
  # Keep track of which ruby gems were updated. Initially this is an
  # empty Array. The method Cookbooks.update_all_ruby_gems can
  # populate this Array.
  # ========================================================================= #
  @array_these_ruby_gems_were_updated = []

  # ========================================================================= #
  # === RBT.array_these_ruby_gems_were_updated?
  # ========================================================================= #
  def self.array_these_ruby_gems_were_updated?
    @array_these_ruby_gems_were_updated
  end; self.instance_eval { alias which_ruby_gems_were_updated? array_these_ruby_gems_were_updated? } # === Cookbooks.which_ruby_gems_were_updated?

  # ========================================================================= #
  # === RBT.set_array_these_ruby_gems_were_updated
  #
  # Setter method to modify the top-level instance variable called
  # @array_these_ruby_gems_were_updated.
  # ========================================================================= #
  def self.set_array_these_ruby_gems_were_updated(i)
    @array_these_ruby_gems_were_updated = i
  end

end