#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::Cookbooks::FeedbackDescriptionOf
#
# This requires the module-method Cookbooks.feedback_description_of()
# =========================================================================== #
# require 'feedback_description_of.rb'
# =========================================================================== #
require 'rbt/base/base.rb'
require 'rbt/cookbooks/class/class.rb'

module RBT

module Cookbooks

class FeedbackDescriptionOf < Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = 'ruby')
    super()
    i = i.join(' ').strip if i.is_a? Array
    RBT.feedback_description_of(i)
  end

end; end; end

if __FILE__ == $PROGRAM_NAME
  RBT::Cookbooks::FeedbackDescriptionOf.new(ARGV)
end # desc_of? ruby