#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/utility_scripts/lfs/constants.rb'
# =========================================================================== #
module RBT

class LFS < Base # === RBT::LFS

  # ========================================================================= #
  # === T
  # ========================================================================= #
  T = true

  # ========================================================================= #
  # === F
  # ========================================================================= #
  F = false

  # ========================================================================= #
  # === LFS_DIR
  # ========================================================================= #
  LFS_DIR     = 'lfs/'
  # LFS_DIR     = '/molli'

  # ========================================================================= #
  # === MOUNT_DIR
  #
  # This will become /Mount/lfs/.
  # ========================================================================= #
  MOUNT_DIR   = '/Mount/'+LFS_DIR

  # ========================================================================= #
  # === SOURCES_DIR
  # ========================================================================= #
  SOURCES_DIR = MOUNT_DIR+'sources/'

  # ========================================================================= #
  # === TOOLS_DIR
  # ========================================================================= #
  TOOLS_DIR   = MOUNT_DIR+'tools/'

  # ========================================================================= #
  # === LOCATION_OF_PARTITION
  #
  # This is presently hardcoded. We may move to a non-hardcoded approach
  # at a later time.
  # ========================================================================= #
  LOCATION_OF_PARTITION = '/dev/sdb1'

  # ========================================================================= #
  # === DEFAULT_USER
  # ========================================================================= #
  DEFAULT_USER = :lfs

end; end