#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/utility_scripts/lfs/run.rb'
# =========================================================================== #
module RBT

class LFS < Base # === RBT::LFS

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    show_welcome_message              # (1)
    consider_creating_mount_directory # (2)
    # mount_lfs_partition             # (3) optional step
    enter_lfs_partition               # (4)
    create_all_directories            # (5)
    symlink_tools_to_root             # (6)
    set_sticky_bit                    # (7)
    add_user(:lfs)                    # (8) also sets @user.
    prepare_user_then_login
    create_file
    create_bash_profile # creates ~/.bash_profile
e 'DEBUG - all fine up to this point?'
exit
    compile 'Binutils-2.27' # This should be synced to the most recent Binutils version.
    compile 'GCC-6.3.0'
    install_linux_kernel_headers
    compile 'Glibc-2.14.1'
  end

end; end