#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/available_programs.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/available_programs.rb' # bl $RBT/toplevel_methods/available_programs.rb

module RBT

class Base # === RBT::Base

  # ========================================================================= #
  # === available_programs?
  # ========================================================================= #
  def available_programs?
    RBT.available_programs?
  end; alias all_programs?             available_programs? # === all_programs?
       alias all_programs              available_programs? # === all_programs
       alias available_cookbooks?      available_programs? # === available_cookbooks?
       alias all_available_programs?   available_programs? # === all_available_programs?
       alias available_programs        available_programs? # === available_programs
       alias available_cookbooks       available_programs? # === available_cookbooks
       alias get_cookbooks             available_programs? # === get_cookbooks
       alias return_available_programs available_programs? # === return_available_programs
       
end; end