#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/be_verbose.rb'
# =========================================================================== #
module RBT

class Base

  # ========================================================================= #
  # === be_verbose?
  # ========================================================================= #
  def be_verbose?
    @be_verbose
  end

  # ========================================================================= #
  # === be_quiet?
  # ========================================================================= #
  def be_quiet?
    !@be_verbose
  end

  # ========================================================================= #
  # === set_be_verbose
  #
  # By default we will be verbose.
  # ========================================================================= #
  def set_be_verbose(i = true)
    @be_verbose = i
  end; alias be_verbose  set_be_verbose # Not sure if we will keep this here.
       alias be_verbose= set_be_verbose # === be_verbose=

  # ========================================================================= #
  # === be_verbose
  # ========================================================================= #
  def be_verbose
    @be_verbose = true
  end

  # ========================================================================= #
  # === set_be_silent
  #
  # Set whether we will be verbose or whether we will not.
  # ========================================================================= #
  def set_be_silent(i = false) # false because we assign to @be_verbose
    @be_verbose = i
  end; alias be_silent set_be_silent # === be_silent()
       alias be_quiet  set_be_silent # === be_quiet()

end; end