#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/reset.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/debug.rb'
require 'rbt/colours/use_colours.rb'
require 'rbt/configuration/configuration.rb'

module RBT

class Base # === RBT::Base

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    @use_colours = RBT.use_colours? # Use the default value for RBT.
    @be_verbose = true
    @run_simulation = RBT.configuration?.run_simulation # Whether we run in simulation mode or not.
    @use_opn = true
    @debug = RBT.shall_we_debug?
    @namespace = { namespace: NAMESPACE }
  end

end; end