#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/return_pwd.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/return_pwd.rb'

module RBT

class Base # === RBT::Base

  # ========================================================================= #
  # === sdir_return_pwd
  #
  # This method will simply colourize the returned String from the
  # method return_pwd().
  # ========================================================================= #
  def sdir_return_pwd
    sdir(return_pwd)
  end

  # ========================================================================= #
  # === report_pwd
  # ========================================================================= #
  def report_pwd
    e "The current directory is at `#{sdir_return_pwd}`."
  end

  # ========================================================================= #
  # === return_pwd
  # ========================================================================= #
  def return_pwd
    RBT.return_pwd
  end; alias return_current_pwd return_pwd # === return_current_pwd
       alias pwd?               return_pwd # === pwd?
       alias get_pwd            return_pwd # === get_pwd

end; end