#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/colours/determine_the_toplevel_use_colours_variable.rb'
# =========================================================================== #
require 'rbt/configuration/configuration.rb'

module RBT

  # ========================================================================= #
  # === @use_colours
  #
  # The global colours setting - whether we wish to use the colours or not.
  # This can be set via the configuration file.
  # ========================================================================= #
  if RBT.respond_to? :configuration?
    @use_colours = RBT.configuration?.use_colours
  else
    @use_colours = true # else use colours by default anyway.
  end

end

if __FILE__ == $PROGRAM_NAME
  pp RBT.instance_variables
end