#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/colours/use_colours.rb'
# =========================================================================== #
require 'colours'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/project/project_base_and_yaml_directory.rb'

module RBT

  # ========================================================================= #
  # === @use_colours
  # ========================================================================= #
  @use_colours = true

  # ========================================================================= #
  # === RBT.file_colours
  # ========================================================================= #
  def self.file_colours
    "#{RBT.project_yaml_directory?}colours.yml"
  end

  # ========================================================================= #
  # === RBT.use_colours?
  # ========================================================================= #
  def self.use_colours?
    @use_colours
  end

  # ========================================================================= #
  # === RBT.disable_colours
  #
  # This method can be used to disable the use of colours for the whole
  # RBT project.
  # ========================================================================= #
  def self.disable_colours
    @use_colours = false
  end; self.instance_eval { alias do_not_use_colours disable_colours } # === Cookbooks.do_not_use_colours

end