#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/debug.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase # === RBT::Compile

  # ========================================================================= #
  # === query_debug_value
  # ========================================================================= #
  def query_debug_value
    opne 'Will we debug? '+sfancy(yes_no(RBT.debug?))
  end

  # ========================================================================= #
  # === toggle_the_debug_value_then_query_the_debug_value
  # ========================================================================= #
  def toggle_the_debug_value_then_query_the_debug_value
    toggle_debug_value
    query_debug_value
  end

  # ========================================================================= #
  # === toggle_debug_value
  # ========================================================================= #
  def toggle_debug_value
    what = !DEBUG
    into = DEBUG_FILE
    opne 'Now toggling the debug value used for the RBT project into '
    opne "  #{sfile(into)}"
    save_what_into(what, into)
  end

end; end