#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/constants/toplevel_methods.rb'
# ========================================================================== #
require 'rbt/project/project_base_and_yaml_directory.rb'

module RBT

  # ========================================================================= #
  # === RBT.toplevel_methods?
  #
  # Simply return the constant here. This will tell us where the
  # module_method .rb files are kept.
  #
  # This will typically return a path such as:
  #
  #   /Programs/Ruby/2.6.0/lib/ruby/site_ruby/2.6.0/rbt/toplevel_methods/
  #
  # ========================================================================= #
  def self.toplevel_methods?
    "#{RBT.project_base_directory?}toplevel_methods/"
  end; self.instance_eval { alias toplevel_methods_directory? toplevel_methods? } # === RBT.toplevel_methods_directory?

  # ========================================================================= #
  # === toplevel_methods?
  # ========================================================================= #
  def toplevel_methods?
    RBT.toplevel_methods?
  end

end