#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/constants/validation_scripts.rb'
# =========================================================================== #
require 'rbt/project/project_base_and_yaml_directory.rb'

module RBT

  # ========================================================================= #
  # === RBT.validation_scripts?
  #
  # Simply return the constant here. This will tell us where the validation
  # scripts are stored.
  # ========================================================================= #
  def self.validation_scripts?
    "#{RBT.project_base_directory?}validation/"
  end; self.instance_eval { alias validation_directory? validation_scripts? } # === RBT.validation_directory?
       self.instance_eval { alias validation_directory  validation_scripts? } # === RBT.validation_directory
       self.instance_eval { alias directory_validation? validation_scripts? } # === RBT.directory_validation?

  # ========================================================================= #
  # === validation_scripts
  # ========================================================================= #
  def validation_scripts?
    RBT.validation_scripts?
  end

end