#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/cookbooks/create_cookbook_yaml_file/menu.rb'
# =========================================================================== #
module RBT

module Cookbooks

class CreateCookbookYamlFile < ::RBT::Base # === RBT::Cookbooks::CreateCookbookYamlFile

  # ========================================================================= #
  # === menu
  # ========================================================================= #
  def menu(
      i = @commandline_arguments
    )
    if i.is_a? Array
      i.each {|entry| menu(entry) }
    else
      case i
      # ======================================================================= #
      # === --interactive
      # ======================================================================= #
      when /^-?-?interactive$/,'INTERACTIVE',
           /^-?-?enter(_|-)?interactive(_|-)?part$/
        enter_interactive_part
      # ======================================================================= #
      # === --help
      # ======================================================================= #
      when 'HELP',/^-?-?help$/,'h','-h'
        show_help
        exit
      end
    end
  end

end; end; end