#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/create_program/menu.rb'
# =========================================================================== #
module RBT

class CreateProgram < Base # === RBT::CreateProgram.new

  # ========================================================================= #
  # === menu                                                       (menu tag)
  # ========================================================================= #
  def menu(
      i = input?
    )
    if i.is_a? Array
      i.each {|entry| menu(entry) }
    else
      case i # case tag
      # ===================================================================== #
      # === rcp PWD
      # ===================================================================== #
      when 'PWD'
        determine_program_name_and_program_version_from_this_directory(return_pwd)
      # ===================================================================== #
      # === rcp --help
      # ===================================================================== #
      when /^-?-?help$/,/-?-?HELP/
        show_help
        exit
      end unless File.exist? i
    end
  end

end; end