#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/infobox/misc.rb'
# =========================================================================== #
module RBT

class Infobox < RBT::Base # === RBT::Infobox.new

  # ========================================================================= #
  # === cflags_in_use?
  # ========================================================================= #
  def cflags_in_use?
    result = ENV['CFLAGS'].to_s
    if result.empty?
      result = 'No CFLAGS in use.'
    end
    result
  end

  # ========================================================================= #
  # === try_to_use_unicode_symbols_for_the_commandline_user_interface?
  # ========================================================================= #
  def try_to_use_unicode_symbols_for_the_commandline_user_interface?
    TRY_TO_USE_UNICODE_SYMBOLS_FOR_THE_COMMANDLINE_USER_INTERFACE
  end; alias use_unicode? try_to_use_unicode_symbols_for_the_commandline_user_interface? # === use_unicode?

end; end