#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'return_every_la_file.rb
# =========================================================================== #
require 'rbt/libtool/libtool.rb'

module RBT

class Libtool < Base # === RBT::Libtool.new

  # ========================================================================= #
  # === RBT::Libtool.return_every_la_file
  #
  # If you want to return every .la file on a given computer system,
  # then, use this method here.
  #
  # This will obtain from /usr/lib/, /usr/lib64 and /System/Libraries/
  # by default. Otherwise, we will make use of the Array called
  # 
  # ========================================================================= #
  def self.return_every_la_file
    ::RBT::Libtool.new.every_la_file
  end

end; end

if __FILE__ == $PROGRAM_NAME
  p RBT::Libtool.return_every_la_file
end