#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will pull in all validation scripts.
# =========================================================================== #
# require 'rbt/requires/require_validation_scripts.rb'
# =========================================================================== #
require 'rbt/constants/validation_scripts.rb'

module RBT

  # ========================================================================= #
  # === RBT.require_validation_scripts
  #
  # use this method to require the validation scripts.
  # ========================================================================= #
  def self.require_validation_scripts
    Dir["#{RBT.validation_directory}*.rb"].uniq.each {|file|
      require "rbt/validation/#{File.basename(file)}"
    }
  end

end