#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/symlink_this_program/constants.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class SymlinkThisProgram < Base # === RBT::SymlinkThisProgram

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === DO_REGISTER_INTO_THE_LOCAL_YAML_DATABASE
  # ========================================================================= #
  DO_REGISTER_INTO_THE_LOCAL_YAML_DATABASE = true

  # ========================================================================= #
  # === ARRAY_ALLOWED_SUBDIRECTORIES
  #
  # Which subdirectories are allowed for this class. bin/, sbin/ and
  # lib/ are the three main directories.
  # ========================================================================= #
  ARRAY_ALLOWED_SUBDIRECTORIES = %w(
    bin sbin lib lib64
    include etc pkgconfig man
    Shared shared share yaml
  )

end; end