#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/symlink_this_program/menu.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class SymlinkThisProgram < Base # === RBT::SymlinkThisProgram

  # ========================================================================= #
  # === menu                                                       (menu tag)
  #
  # All commandline options for this class can be passed through the
  # menu() method here.
  # ========================================================================= #
  def menu(i)
    if i.is_a? Array
      i.each {|entry| menu(entry)}
    else
      case i
      # ===================================================================== #
      # === symlink_program --symlink-headers 
      # ===================================================================== #
      when /^-?-?symlink(-|_)?headers$/
        do_symlink_the_headers
      end
    end
  end

end; end