#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/symlink_this_program/reset.rb'
# =========================================================================== #
module RBT

class SymlinkThisProgram < Base # === RBT::SymlinkThisProgram

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @namespace = NAMESPACE
    @be_verbose = true
    @use_opn = true
    @program_version = nil
    # ======================================================================= #
    # The next variable determines if we will actually symlink or whether
    # we will not.
    # ======================================================================= #
    @will_we_symlink = true
    # ======================================================================= #
    # The next variable will store the NAME of the program at hand, in
    # a downcased manner. We must initialize it to nil here first, though.
    # ======================================================================= #
    @symlink_this_program = nil
    @full_path_to_the_target_program = nil
    # ======================================================================= #
    # The next instance variable determines whether we will remove empty
    # directories or not. By default we will do so, but this behaviour
    # has to be modifiable as not every user may wish to have this,
    # hence why this instance variable exists.
    # ======================================================================= #
    @remove_empty_directories = true
    @array_remove_these_directories = []
    @shall_we_symlink_the_headers = false
    @do_register_into_the_local_yaml_database =
      DO_REGISTER_INTO_THE_LOCAL_YAML_DATABASE
  end

end; end