#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/do_show_the_classname.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.do_show_the_classname
  # ========================================================================= #
  def self.do_show_the_classname
    @do_show_the_classname = true
  end

  # ========================================================================= #
  # === And invoke it at once, for the default value.
  # ========================================================================= #
  RBT.do_show_the_classname

  # ========================================================================= #
  # === RBT.do_not_show_the_classname
  # ========================================================================= #
  def self.do_not_show_the_classname
    @do_show_the_classname = false
  end

  # ========================================================================= #
  # === RBT.show_the_classname?
  #
  # Query method over as to whether we should show the classname.
  # ========================================================================= #
  def self.show_the_classname?
    @do_show_the_classname
  end; self.instance_eval { alias show_the_classname show_the_classname? } # === RBT.show_the_classname

  # ========================================================================= #
  # === RBT.do_not_show_names?
  #
  # This is the reverse complement to RBT.show_the_classname?.
  # ========================================================================= #
  def self.do_not_show_names?
    !RBT.show_the_classname?
  end

end