#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/feedback_program_description.rb'
# =========================================================================== #
require 'rbt/cookbooks/class/cookbooks.rb'

module RBT

  # ========================================================================= #
  # === RBT.feedback_program_description
  #
  # This will feedback the description of the program at hand.
  # ========================================================================= #
  def self.feedback_program_description(
      i
    )
    i = i.first if i.is_a? Array
    if i
      _ = RBT::Cookbooks::Cookbook.new
      _.find_this_program(i)
      e _.description?
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.feedback_program_description(ARGV)  
end # rbt_feedback_program_description htop