#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/is_on_windows.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.is_on_windows?
  #
  # This method will return true if we are on windows; and false otherwise.
  # ========================================================================= #
  def self.is_on_windows?
    return true if RUBY_PLATFORM.include? 'win'
    return false
  end

end