#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/report_rbt_version.rb'
# RBT.report_rbt_version
# =========================================================================== #
require 'rbt/version/version.rb'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/colours/sfancy.rb'

module RBT

  # ========================================================================= #
  # === RBT.report_rbt_version
  #
  # This method will simply report the current RBT-version in use.
  # ========================================================================= #
  def self.report_rbt_version
    e sfancy(RBT.rbt_version?)
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.report_rbt_version  
end # rbt_report_rbt_version