#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/show_last_configure_option.rb'
# =========================================================================== #
require 'rbt/configuration/configuration.rb'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/toplevel_methods/log_directory.rb'

module RBT

  # ========================================================================= #
  # === RBT.show_last_configure_option
  # ========================================================================= #
  def self.show_last_configure_option
    _ = RBT.store_the_last_configuration_options_in_this_file
    if File.exist? _
      # The next two lines are mostly for debug-related output.
      # require 'rbt/colours/sfile.rb'
      # e 'Obtaining the information from the file `'+sfile(_)+'`.'
      e File.read(_)
    else
      e "No configure options have been stored yet "\
        "(File checked: #{_})."
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.show_last_configure_option  
end # rbt_show_last_configure_option