#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/show_names.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === @show_names
  #
  # Whether to show the name of the class at hand (through Opn) or whether
  # to not do so. This can be modified via a method call towards
  # RBT.set_show_names().
  # ========================================================================= #
  @show_names = true

  # ========================================================================= #
  # === RBT.set_show_names
  # ========================================================================= #
  def self.set_show_names(i = true)
    @show_names = i
  end

  # ========================================================================= #
  # === RBT.show_names?
  # ========================================================================= #
  def self.show_names?
    @show_names
  end

  # ========================================================================= #
  # === RBT.do_not_show_names
  # ========================================================================= #
  def self.do_not_show_names
    @show_names = false
  end

end