#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::UrlAction
# =========================================================================== #
# require 'rbt/url_action/compile_mode.rb'
# =========================================================================== #
module RBT

class UrlAction < Base

  # ========================================================================= #
  # === @compile_mode
  # ========================================================================= #
  @compile_mode = nil
  
  # ========================================================================= #
  # === UrlAction.compile_mode?
  # ========================================================================= #
  def self.compile_mode?
    @compile_mode
  end

  # ========================================================================= #
  # === UrlAction.set_compile_mode
  #
  # We need to keep track whether we wish to use Easycompile or RBT.
  #
  # We do this by assigning to the @compile_mode variable. The three
  # valid settings are nil, :rbt and :easycompile.
  # ========================================================================= #
  def self.set_compile_mode(
      i = :rbt
    )
    @compile_mode = i
  end

end; end