#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/utility_scripts/search_for_tags/help.rb'
# =========================================================================== #
module RBT

module Cookbooks

class SearchForTags < Base # === RBT::Cookbooks::SearchForTags

  # ========================================================================= #
  # === show_help
  #
  # Invoke this method like so:
  #
  #   tags --help
  #
  # ========================================================================= #
  def show_help # help tag
    e 'These options are available so far for class '\
      'RBT::Cookbooks::SearchForTags:'
    e
    eparse '  OPEN_ALL         # open all entries in the editor'
    eparse '  WITH_URL         # also show the URL'
    eparse '  NO_INDEX         # do not show the leading numbers '\
           'when listing the tags'
    eparse '  ALL              # display every tag'
    eparse '  --available      # show which tags are available'
    eparse '  --open-in-editor # batch-open all files with that '\
           'tag in the main editor'
    e
  end

end; end; end