Ruby .rb files in this directory will be concerned with validation and
correctness of the code and the associated yaml dataset of the RBT
project.

This is code that works directly on some aspect of RBT itself and is
thus part of the code base, rather than only residing under the test/
directory - although code in the test/ subdirectory may of course
call code in this directory here.

The reason as to why these validation-related activities exist is,
primarily, to ensure that the dataset used in the RBT project is
correct and valid.

An example for this is to establish the fact, that all registered keys
found in the various yaml files are legal entries. Another example that
can be given is that the descriptions contained herein are valid as
well or that the dependencies are proper, and so on, and so forth.
